// ControllerState.java

/*
This software is part of the Aplu FtController package.
It is Open Source Free Software, so you may
- run the code for any purpose
- study how the code works and adapt it to your needs
- integrate all or parts of the code in your own programs
- redistribute copies of the code
- improve the code and release your improvements to the public
However the use of the code is entirely your responsibility.
 */


package ch.aplu.ftcontroller;

class ControllerState 
{
  protected int [] counter;
  protected int digitalIn;
  protected int [] resistorIn;
  protected int [] analogIn;
  protected int [] distanceIn;
  protected int irIn;
  protected int endSwitch;
  protected int success;
  protected int source;
  
  protected ControllerState()
  {
    counter = new int[8];
    resistorIn = new int[2];
    analogIn = new int[2];
    distanceIn = new int[2];
  }  
}


