// InfraredEvent.java

/*
This software is part of the Aplu FtController package.
It is Open Source Free Software, so you may
- run the code for any purpose
- study how the code works and adapt it to your needs
- integrate all or parts of the code in your own programs
- redistribute copies of the code
- improve the code and release your improvements to the public
However the use of the code is entirely your responsibility.
 */

package ch.aplu.ftcontroller;

/**
 * A class to retrieve event information when the AnalogInListener callbacks are fired.
 */
public class InfraredEvent 
{
  protected int value;

  protected InfraredEvent()
  {
  }
  /**
   * Returns the current value when the value changed.
   * @return the current value
   */
  public int getValue()
  {
    return value;
  }
}
